kompendium
2.0.3
2.0.3 2.0.2 2.0.1

# parseMethodInfo

open fun parseMethodInfo (info: MethodInfo <*, *>, paramType: KType , requestType: KType , responseType: KType , feature: Kompendium ): PathOperation
Content copied to clipboard

Generates the OpenAPI Path spec from provided metadata

#### Return

object representing the OpenAPI Path spec.

## Parameters

info

implementation of the MethodInfo sealed class

paramType

Type of `TParam`

requestType

Type of `TReq` if required

responseType

Type of `TResp`